## asahi-scripts 20230821

=== debian/changelog ===
asahi-scripts (20230821-3) unstable; urgency=medium

  * Team upload.
  * Use debian u-boot apple_m1 path in update-m1n1

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 28 Jan 2024 18:52:41 +0100

asahi-scripts (20230821-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Nov 2023 09:02:38 +0100

asahi-scripts (20230821-1) experimental; urgency=medium

  * Initial release. (Closes: #1050810)

 -- Tobias Heider <me@tobhe.de>  Tue, 14 Nov 2023 14:25:32 +0100
