=== debian/changelog ===
asahi-scripts (20231219.1-1) unstable; urgency=medium

  * New upstream release 20231219.1
  * Rebase patches onto 20231219.1
    - update-m1n1: adopt upstream approach for multiple kernels
    - update-m1n1: make dtb glob more permissive for alternative names
    - initramfs: explicitly load xhci-plat-hcd

 -- Tobias Heider <me@tobhe.de>  Sun, 11 Feb 2024 01:35:07 +0100
