## asahi-scripts 20240822

=== debian/changelog ===
asahi-scripts (20240822-2) unstable; urgency=medium

  * d/postinst: do not call update-initramfs (replaced by automatic trigger)

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 15 Sep 2024 00:19:48 +0200

asahi-scripts (20240822-2~exp1) experimental; urgency=medium

  * d/patches/0003-*: install initramfs-tools files in /usr/share
  * d/conffiles: remove leftover conffiles
  * d/postinst: incorporate asahi-scripts.postinst and add udevadm check

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 13 Sep 2024 01:32:26 +0200

asahi-scripts (20240822-1) unstable; urgency=medium

  * New upstream release 20240822
  * d/p/0001-debian-add-install-debian-target.patch: add install-macsmc-battery
    target to install-debian
  * d/p/0003-debian-Add-initramfs-tools-implementation-for-cpio-f.patch: refresh
  * d/p/0004-debian-Support-asahi-diagnose.patch: support Debian in
    asahi-diagnose
  * d/rules: fix permissions of macsmc-battery systemd and udev files
  * d/asahi-scripts.postinst: add udev trigger for macsmc-battery-charge-control

 -- NoisyCoil <noisycoil@tutanota.com>  Thu, 22 Aug 2024 17:12:41 +0200
