=== debian/changelog ===
asahi-scripts (20250130-2ubuntu2) plucky; urgency=medium

  * Fix u-boot path in trigger

 -- Tobias Heider <tobias.heider@canonical.com>  Tue, 01 Apr 2025 12:03:12 +0200

asahi-scripts (20250130-2ubuntu1) plucky; urgency=medium

  * d/p/0005-UBUNTU-adjust-paths-for-ubuntu.patch:
    - Adjust dtb and uboot paths for Ubuntu (LP: #2104922)

 -- Tobias Heider <me@tobhe.de>  Fri, 28 Mar 2025 14:32:22 +0100

asahi-scripts (20250130-2) unstable; urgency=medium

  [ NoisyCoil ]
  * d/p/0004-*-asahi-diagnose.patch: make asahi-diagnose detect triforce-lv2, ...
  * Add the update-m1n1 triggers
  * Use debian's u-boot as primary, others as fallback

 -- Tobias Heider <me@tobhe.de>  Mon, 10 Mar 2025 00:36:24 +0100

asahi-scripts (20250130-1) unstable; urgency=medium

  [ Tobias Heider ]
  * New upstream release 20250130
  * Remove m1n1.conf

  [ NoisyCoil ]
  * d/p/0004-debian-Support-asahi-diagnose.patch:
    - make asahi-diagnose detect asahi-platform* and ubuntu-asahi
    - improve patch title
  * d/patches: refresh
  * initramfs: port latest dracut changes to initramfs

 -- Tobias Heider <me@tobhe.de>  Sat, 01 Feb 2025 12:58:34 +0100
