=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: asahi-scripts
 Section: admin
 Priority: optional
-Maintainer: Tobias Heider <me@tobhe.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tobias Heider <me@tobhe.de>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2
 Homepage: https://github.com/AsahiLinux/asahi-scripts
