=== debian/changelog ===
asahi-scripts (20250713-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2121983). Remaining changes:
    - d/p/0005-UBUNTU-adjust-paths-for-ubuntu.patch:
      + Adjust dtb and uboot paths for Ubuntu (LP: 2104922)
    - Fix u-boot path in trigger

 -- Tobias Heider <me@tobhe.de>  Mon, 08 Sep 2025 22:39:16 +0200

asahi-scripts (20250713-1) unstable; urgency=medium

  [ NoisyCoil ]
  * New upstream release (Closes: #1112262, #1112265)
  * d/patches:
    - add 0000-Backport-asahi-diagnose-drop-tas2764.patch to drop the
      tas2764 quirk checks (Closes: #1112262)
    - add 0000-Backport-update-m1n1-Expand-DTBS.patch to limit the DTBs
      included in the boot binary
    - 0003-debian-Add-initramfs-tools-implementation-for-cpio-f.patch:
      add the apple_nvmem_spmi module to the initramfs explicitly and
      declare simple-mfd-spmi and nvmem_spmi_mfd obsolete, imported
      from corresponding dracut changes (Closes: #1112264)
    - 0004-debian-Support-asahi-diagnose.patch: output APT sources and
      preferences
    - drop 0005-asahi-diagnose-update-doc-link.patch, merged upstream
    - refresh

  [ Tobias Heider ]
  * d/p/*-install-debian-target.patch: Install dracut configs

 -- Tobias Heider <me@tobhe.de>  Thu, 04 Sep 2025 11:33:53 +0200

asahi-scripts (20250130-3) unstable; urgency=medium

  * Team upload.

  [ Tobias Heider ]
  * d/p: fix modprobe path for inclusion in initramfs

  [ NoisyCoil ]
  * Run wrap-and-sort -satb
  * d/control: declare compliance with Standards-Version 4.7.2
  * d/control: set Bananas Team as Maintainer and move tobhe to Uploaders
  * d/copyright: add Upstream-Contact
  * d/postinst: use command -v instead of which to test if udevadm exists
  * Add upstream metadata
  * d/p/0004-*-asahi-diagnose.patch: avoid warning when wireplumber's
    restore-stream is not found
  * d/changelog: split line in previous entry to avoid a lintian warning
  * d/p/0004-*-asahi-diagnose.patch: report more mesa packages
  * d/patches: add 0005-asahi-diagnose-update-doc-link.patch - fixes a
    doc link in asahi-diagnose

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Apr 2025 09:39:19 +0200
